
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Windows编程：遍历程序使用的动态链接库(dll) 代码(C++) / iVAN</title>

    <meta name="description" content="Windows编程：遍历程序使用的动态链接库(dll) 代码(C++) 遍历程序使用的动态链接库(dll), 首先需要遍历所有进程, 匹配进程名称与进程ID, 然后根据进程名称, 输出所有使用的库(dll). 示例中Image.exe是预先启动的程序. 代码包含遍历进程的代码, 和输出动态链接库(dll)的代码. 代码: /* * main.cpp * * Created on: 2014.06.08 * Author: Spike */ /*vs 2012*/ #include &lt;iostream&gt; #include &lt;iomanip&gt; # ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Windows编程：遍历程序使用的动态链接库(dll) 代码(C++)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>遍历程序使用的动态链接库(dll), 首先需要遍历所有进程, 匹配进程名称与进程ID, 然后根据进程名称, 输出所有使用的库(dll).</p>
<p>示例中Image.exe是预先启动的程序. 代码包含遍历进程的代码, 和输出动态链接库(dll)的代码.</p>
<p>代码:</p>
<pre>
/*
 * main.cpp
 *
 *  Created on: 2014.06.08
 *      Author: Spike
 */

/*vs 2012*/

#include &lt;iostream&gt;
#include &lt;iomanip&gt;
#include &lt;string&gt;
#include &lt;map&gt;  

#include &lt;windows.h&gt;
#include &lt;TlHelp32.h&gt;  

using namespace std;  

bool traverseProcesses (std::map&lt;std::string, int&gt;&amp; _nameID)
{
    PROCESSENTRY32 pe32;
    pe32.dwSize = sizeof(pe32);  

    HANDLE hProcessSnap = CreateToolhelp32Snapshot(TH32CS_SNAPPROCESS, 0);
    if(hProcessSnap == INVALID_HANDLE_VALUE) {
        std::cout &lt;&lt; "CreateToolhelp32Snapshot Error!" &lt;&lt; std::endl;;
        return false;
    }  

    BOOL bResult =Process32First(hProcessSnap, &amp;pe32);  

    int num(0);  

    while(bResult)
    {
        std::string name = pe32.szExeFile;
        int id = pe32.th32ProcessID;  

        //std::cout &lt;&lt; "[" &lt;&lt; ++num &lt;&lt; "] : " &lt;&lt;"Process Name:"
	//更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/cplus/
        //  &lt;&lt; name &lt;&lt; "  " &lt;&lt; "ProcessID:" &lt;&lt; id&lt;&lt; std::endl;  

        _nameID.insert(std::pair&lt;string, int&gt;(name, id)); //字典存储
        bResult = Process32Next(hProcessSnap,&amp;pe32);
    }  

    CloseHandle(hProcessSnap);  

    return true;
}  

bool traverseModels(const std::string _name)
{
    DWORD dwId;  

    /*printf("Please enter the name of process to traverse processmodels:");
    std::string name;
    cin &gt;&gt; name;*/

    std::map&lt;std::string, int&gt; nameID;  

    if (!traverseProcesses(nameID)) { //变量进程
        cout &lt;&lt; "Print Processes Error!" &lt;&lt; endl;
    }  

    dwId = nameID[_name];  

    HANDLE hModuleSnap = CreateToolhelp32Snapshot(TH32CS_SNAPMODULE, dwId);
    if(hModuleSnap == INVALID_HANDLE_VALUE){
        printf("CreateToolhelp32SnapshotError! \n");
        return false;
    }  

    MODULEENTRY32 module32;
    module32.dwSize = sizeof(module32);
    BOOL bResult = Module32First(hModuleSnap, &amp;module32);  

    int num(0);  

    while(bResult){
        std::wcout &lt;&lt; "[" &lt;&lt; num++ &lt;&lt; "] : " &lt;&lt;"Module:" &lt;&lt; std::left &lt;&lt; std::setw(25)
            &lt;&lt; module32.szModule &lt;&lt; "  " &lt;&lt; endl &lt;&lt; "Path:" &lt;&lt; module32.szExePath &lt;&lt; std::endl;
        bResult = Module32Next(hModuleSnap, &amp;module32);
    }  

    CloseHandle(hModuleSnap);  

    return true;  

}  

int main()
{
    const std::string program("Image.exe");  

    if (!traverseModels(program)) {
        cout &lt;&lt; "Traverse Models Error!" &lt;&lt; endl;
    }  

    return 0;
}</pre>
<p>输出:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFRQNDJTMC0wLmpwZw==.jpg"></p>
<p>作者：csdn博客 Spike_King</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索include<br />
                    ，                程序<br />
                    ，                进程<br />
                    ，                链接<br />
                    ，                代码<br />
                    ，                动态<br />
                    ，                c++遍历<br />
                    ，                图像处理遍历c++显示<br />
                                    C++遍历文件夹<br />
                                    异常代码 c0000005、贪吃蛇c语言代码、c语言代码、c 代码生成器、c 源代码，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 03:54:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e9%93%be%e6%8e%a5/" title="链接">链接</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/include/" title="include">include</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81/" title="动态">动态</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e5%83%8f%e5%a4%84%e7%90%86%e9%81%8d%e5%8e%86c-%e6%98%be%e7%a4%ba/" title="图像处理遍历c&plus;&plus;显示">图像处理遍历c&plus;&plus;显示</a>, <a href="https://www.iamivan.net/tag/c-%e9%81%8d%e5%8e%86/" title="c&plus;&plus;遍历">c&plus;&plus;遍历</a>, <a href="https://www.iamivan.net/tag/c-%e9%81%8d%e5%8e%86%e6%96%87%e4%bb%b6%e5%a4%b9/" title="C&plus;&plus;遍历文件夹">C&plus;&plus;遍历文件夹</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Windows编程：遍历程序使用的动态链接库(dll) 代码(C++)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGwNYez.html" rel="bookmark">VC程序在Win32环境下动态链接库&lpar;DLL&rpar;编程原理&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文详细讲述了VC程序在Win32环境下动态链接库(DLL)编程原理.分享给大家供大家参考.具体分析如下: 一般比较大的应用程序都由很多模块组成,这些模块分别完成相对独立的功能,它们彼此协作来完成整个软件系统的工作.其中可能存在一些模块的功能较为通用,在构造其它软件系统时仍会被使用.在构造软件系统时,如果将所有模块的源代码都静态编译到整个应用程序EXE文件中,会产生一些问题:一个缺点是增加了应用程序的大小,它会占用更多的磁盘空间,程序运行时也会消耗较大的内存空间,造成系统资源的浪费:另一个缺点是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDNNLM.html" rel="bookmark">Windows编程：开启&sol;关闭&sol;遍历程序的类 代码&lpar;C&plus;&plus;&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类包含4个函数, 启动程序, 遍历所有进程, 关闭程序, 遍历进程依赖的动态链接库. 示例: Image.exe是预先生成的可执行程序(exe), 启动程序, 间隔5秒, 关闭程序. 使用方法参加测试程序. 代码: /* * process.h * * Created on: 2014.06.08 * Author: Spike */ /*vs 2012*/ #ifndef TRAVERSEPROCESSMODEL_H #define TRAVERSEPROCESSMODEL_H #includ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwBKvz.html" rel="bookmark">VC&plus;&plus;动态链接库&lpar;DLL&rpar;编程深入浅出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  4.2 声明导出函数 DLL中导出函数的声明有两种方式:一种为4.1节例子中给出的在函数声明中加上__declspec(dllexport),这里不再举例说明;另外一种方式是采用模块定义(.def) 文件声明,.def文件为链接器提供了有关被链接程序的导出.属性及其他方面的信息. 下面的代码演示了怎样同.def文件将函数add声明为DLL导出函数(需在dllTest工程中添加lib.def文件): ; lib.def : 导出DLL函数 LIBRARY dllTest EXPORTS add			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjGv6p.html" rel="bookmark">深入浅出Visual C&plus;&plus;动态链接库&lpar;Dll&rpar;编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章作者:宋宝华信息来源:天极网 原始连接: http://soft.yesky.com/lesson/318/2166818.shtml?412 动态链接库(DLL)是Windows系统的核心,也是COM技术的基础,因此突破动态链接库一直是技术人员的攻坚目标,本期专题将由浅入深的介绍动态链接库的基础慨念.分类.实现和应用. 基础慨念 1.概论 先来阐述一下DLL(Dynamic Linkable Library)的概念,你可以简单的把DLL看成一种仓库,它提供给你一些可以直接拿来用的变量.函数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2REdb.html" rel="bookmark">Win32环境下动态链接库&lpar;DLL&rpar;编程原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比较大应用程序都由很多模块组成,这些模块分别完成相对独立的功能,它们彼此协作来完成整个软件系统的工作.其中可能存在一些模块的功能较为通用,在构造其它软件系统时仍会被使用.在构造软件系统时,如果将所有模块的源代码都静态编译到整个应用程序EXE文件中,会产生一些问题:一个缺点是增加了应用程序的大小,它会占用更多的磁盘空间,程序运行时也会消耗较大的内存空间,造成系统资源的浪费:另一个缺点是,在编写大的EXE程序时,在每次修改重建时都必须调整编译所有源代码,增加了编译过程的复杂性,也不利于阶段性的单元测			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2o5kM.html" rel="bookmark">Windows &amp;amp&semi;amp&semi; Eclipse &amp;amp&semi;amp&semi; CDT &amp;amp&semi;amp&semi; MinGW 创建动态链接库&lpar;dll&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Eclipse CDT + MinGW 创建动态链接库(dll). 1. 创建动态链接库的工程 选择: Shared Library: Empty Project  -&gt; MinGW GCC 2. 创建导出函数 /* * say.cpp * * Created on: 2014年4月16日 * Author: Spike */ #include &lt;iostream&gt; #include &lt;string&gt; void say(std::string _name) { std::co			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3a2BM.html" rel="bookmark">请教windows核心编程 ErrorShow程序例子问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请教windows核心编程 ErrorShow程序例子问题 刚刚学习win32 有个问题TCHAR buffer[100]; case WM_PAINT:{ hdc = BeginPaint (hwnd &amp;ps) ; DWORD systemLocale = MAKELANGID(LANG_NEUTRAL SUBLANG_NEUTRAL); DWORD dwError = 1; HLOCAL hlocal = NULL; BOOL fOk = FormatMessage( FORMAT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y3nRM.html" rel="bookmark">windows窗体应用程序-关于c&plus;&plus;控件编程往控件中写入文本的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于c++控件编程往控件中写入文本的问题 首先我采用vs2010建立了一个windows窗体应用程序,在这个窗体上面加了一个richtextbox控件和一个button控件,我的目的是程序执行时,点击button按钮,这样在richtextbox控件中会显示相应的数据,于是我在button中添加了如下代码: private: System::Void button1_Click(System::Object^ sender, System::EventArgs^ e) { int i,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBkPKM.html" rel="bookmark">windows编程实现应用程序启动器和图标启动管理器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 windows编程实现应用程序启动器和图标启动管理器 请问图标的拖动和启动,要求限制必须用启动器才能启动和运行图标,不能脱离程序启动图标,实现思路? 解决方案 这个需要编写shell外壳扩展程序得到启动的程序然后判断是否执行.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyJ1lp.html" rel="bookmark" class="title">&amp;amp&semi;gt&semi; 第五章 类（rainbow 翻译）&ast;2 （来自重粒子空间）</a>
					<div>
						5.3  类属性    有两种途径揭示类的命名属性--通过域成员或者通过属性.前者是作为具有公共访问性的成员变量而被实现的:后者并不直接回应存储位置,只是通过 存取标志(accessors)被访问.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZORx5b.html" rel="bookmark" class="title">为何要用AWT</a>
					<div>
						对于本章要学习的&quot;老式&quot;AWT,它最严重的缺点就是它无论在面向对象设计方面,还是在GUI开发包设计方面,都有不尽如人意的表现.它使我们回到了程序设计的黑暗年代(换成其他话就是&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl86db.html" rel="bookmark" class="title">Photoshop合成公路上狂飙的火焰骑士</a>
					<div>
						  Photoshop合成公路上狂飙的火焰骑士           最终效果 1.新建文档700x438像素,背景白色,打开公路图片拖入文档中,ctrl+T使之尺寸与文档一致. 2.添加3个调整层处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7v18M.html" rel="bookmark" class="title">怎么样保护MySQL中重要的数据</a>
					<div>
						与自动的数据库备份不同,对系统管理员来说,保护数据免受未授权用户的侵犯需要采取一定的行动.如果你用的是MySQL,就可以使用一些方便的功能来保护系统,来大大减少机密数据被未授权用户访问的风险. 企业最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNQwrb.html" rel="bookmark" class="title">VS2013服务器资源管理器添加Mysql数据源</a>
					<div>
						 如何为VS2013服务器资源管理器添加Mysql数据源,如图: 接下来就看下如何添加 1.需要下载安装Mysql for Visual Studio 1.1.1&lt;喎�&quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLw0ab.html" rel="bookmark" class="title">js中日期的加减法</a>
					<div>
						  JavaScript实现日期加减计算功能代码实例,因为在js中没有类似C#中的AddDays方法,所以要想实现日期加减的话,就需要自己写函数来实现. 今天就算对JS中日期的加减法做个总结,一共两步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7OG3b.html" rel="bookmark" class="title">Word&OpenCurlyDoubleQuote;宏已被禁用&rdquo;安全警告如何关闭</a>
					<div>
						小编最近每次启动 word2007,总是提示&quot;安全警告 宏已被禁用&quot;,可是这个宏到底在哪里呢?把 word 选项翻了个遍,都没找到!经过一阵百度.谷歌大搜索才晓得在&quot;信任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK5JOM.html" rel="bookmark" class="title">硬盘中SLC是什么</a>
					<div>
						  储单元分为两类:SLC(Single Level Cell 单层单元)和MLC(Multi-Level Cell多层单元).此外,SLC闪存的优点是复写次数高达100000次,比MLC闪存高10倍 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3DVBM.html" rel="bookmark" class="title">鱼泡泡邀请码是什么</a>
					<div>
						  邀请码是在注册的时候选填的,如果您有邀请码就可以输入邀请码获赠10元网费哦 鱼泡泡优惠券 1.打开鱼泡泡, 点击我的栏目,点击我的钱包 2.然后点击点击优惠券 3.然后可以用优惠券拿来兑换东西					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXk5Ep.html" rel="bookmark" class="title">uiwebview-iOS开发UIWebView怎么开启一个新的标签页</a>
					<div>
						问题描述 iOS开发UIWebView怎么开启一个新的标签页 类似点击a标签 target=&quot;_blank&quot;就会开启一个新的标签页,UIWebView的显示过程及原理,有没有人知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8keW3M.html" rel="bookmark" class="title">用好href的target&comma; base href</a>
					<div>
						&lt;base href&gt;就是指网页里面的相对链接 的前缀url,如在&lt;head&gt;&lt;/head&gt;部分定义了此链接为http://ent.sina.com.cn/ ,那么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkB3Db.html" rel="bookmark" class="title">国内微博市场遭遇成长性烦恼</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 尽管智能手机成长迅速,但其却未带来微博用户的大量增长.&quot;微博等产品最怕的就是盛极而衰的自由落体般突然跳水.&quot;B2C网站兰亭集势创始人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lKrxb.html" rel="bookmark" class="title">Photoshop调出偏暗帅哥照片光亮的金黄色</a>
					<div>
						教程介绍较为暖调的人物调色方法.原图素材原色也为暖色,不过色调有点偏暗.处理的时候需要先把图片调亮,然后再用调色工具加强暖色的数值和对比度,更好的突出人物部分. 原图 最终效果 1.打开原图素材,创建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZq9Kb.html" rel="bookmark" class="title">手机号被误标注成骚扰电话：安全软件帮倒忙</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在垃圾短信.骚扰电话很多,让用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQavnp.html" rel="bookmark" class="title">java-这段代码没看明大神们来帮看一下</a>
					<div>
						问题描述 这段代码没看明大神们来帮看一下 这段代码没看明大神们来帮忙看下,尤其是if(flag)这块,还有while(true)为什么是死循环呢?小弟自学求大神说的详细一点. 解决方案 首先flag是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRo5Vb.html" rel="bookmark" class="title">PS笔刷安装技巧</a>
					<div>
						  PS笔刷安装技巧 1.首先要知道,PS的笔刷后辍名统一为*.abr. 2.安装方法: Photoshop 8.0以上版本安装路径为:打开安装PS的文件夹--预置--画笔--将你下载的笔刷解压到这里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKW7Vb.html" rel="bookmark" class="title">Ruby on Rails 开发 web</a>
					<div>
						Ruby on Rails 正在令整个 Web 开发领域受到震憾.让我们首先了解底层的技术: Ruby 是一门免费的.简单的.直观的.可扩展的.可移植的.解释的脚本语言,用于快速而简单的面向对象编程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7oRLM.html" rel="bookmark" class="title">【Maven由浅入深】1&period;maven初体验</a>
					<div>
						Maven是目前用的最多的一个项目管理工具,它是Apache的一个开源工具. 下载最新的Maven组件可以到Apache的Maven官网下载:maven.apache.org.左侧找到Download ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBd08M.html" rel="bookmark" class="title">动手实验 - TensorFlow和TensorBoard自然语言分析</a>
					<div>
						通过这篇文章,你会了解如何在自然语言处理项目中运用TensorFlow这个强大的工具.并同时体验TensorBoard的一些基本用法.我会对文中涉及到的部分代码进行解释,而一些更基础运用需要你自己去补 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwd96M.html" rel="bookmark" class="title">关于SAP-FI中的关于损益类科目的问题</a>
					<div>
						问题描述 关于损益类科目做一般凭证的问题,例如:借-应付账款,贷-现金.记账是不是:40-应付账款,50-现金.如果记账金额是1000元,那么应付账款这个科目是增加1000还是减少1000呢?现金这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12x0op.html" rel="bookmark" class="title">HybridDB &CenterDot; 源码分析 &CenterDot; MemoryContext 内存管理和内存异常分析</a>
					<div>
						背景 最近排查和解决了几处 HybridDB for PostgreSQL 内存泄漏的BUG.觉得有一定通用性. 这期分享给大家一些实现细节和小技巧. 阿里云上的 HybridDB for Postg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnKWyM.html" rel="bookmark" class="title">谷歌数据中心选址芬兰背后：气温寒冷电费低廉</a>
					<div>
						谷歌正在对芬兰哈米纳地区的一处海水降温设施进行改建,准备利用它来为大型数据中心提供降温功能 新浪科技讯 北京时间9月12日晚间消息,谷歌即将斥资2亿欧元(约合2.73亿美元)在芬兰的哈米纳(Hamia ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwAWnM.html" rel="bookmark" class="title">广州联欣铝业钢材条码管理实施的应用方案</a>
					<div>
						很多钢铁铝材及重工行业的收发货是比较难于解决的问题,借助条码技术,联欣公司为钢铁及铝业行业企业建立了行之有效的条码解决方案.可凭条码卡实现进厂.现场提货.计量.质检.出厂.查询等功能.最终建设成为功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jR4Xp.html" rel="bookmark" class="title">php中关于socket的系列函数总结&lowbar;php实例</a>
					<div>
						本文列举了所有关于PHP语言中使用socket相关服务的一些函数.注意使用如下函数之前,你需要确保你的socket已打开,如果你没有打开,请编辑你的php.ini文件,去掉下面这行前面的注释(分号): ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8JG8p.html" rel="bookmark" class="title">Java内存分配、管理小结</a>
					<div>
						首先是概念层面的几个问题: Java中运行时内存结构有哪几种?Java中为什么要设计堆栈分离?Java多线程中是如何实现数据共享的?Java反射的基础是什么? 然后是运用层面: 引用类型变量和对象的区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj83Z8p.html" rel="bookmark" class="title">WPF绑定显示viewModel（采用MVVM模式）中嵌套的内容</a>
					<div>
						问题描述 本人刚接触wpf,菜鸟一枚,求各路大神指教:后台相应代码:publicCurriculumsView(){InitializeComponent();viewModel=newMainWin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK08RWM.html" rel="bookmark" class="title">火烧云 积雨云 祥云 筋斗云 浮云： iCloud是哪一朵？</a>
					<div>
						苹果在今年WWDC上宣布的iCloud云服务终于云开雾散,iCloudbeta已经于8月1日下午上线.至此,苹果的圈地范围越来越大:从硬件产品(http://www.aliyun.com/zixun/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo570M.html" rel="bookmark" class="title">请教个问题，为什么我的tomacat插件安装后，看不到小猫图像~~</a>
					<div>
						问题描述 RT 解决方案 解决方案二:高手出来解答一下~~解决方案三:你是在哪里看不到小猫呢??安装目录bin下面有启动文件和停止文件吗服务可以正常启动吗?这些都可以,不要小猫也行解决方案四:你设置服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd35ez.html" rel="bookmark" class="title">解密沙盒技术在威胁防御中的应用</a>
					<div>
						在计算机领域,沙盒这一概念很早就用以表示一个能够让恶意代码运行其中的安全隔离环境,方便研究人员对恶意代码进行分析.同样的概念现在被网络安全设备用于执行和检查网络信息流,发现那些躲过了传统安全措施的恶意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqg51kz.html" rel="bookmark" class="title">IDC：戴尔中国市场份额首次超过惠普</a>
					<div>
						IDC公布2010年第二季度中国PC厂商市场份额 8月19日下午消息,市场研究机构IDC公布的第二季度中国地区PC市场数据显示,戴尔市场份额首次超过惠普成为 中国市场第二大PC厂商. 新浪科技从IDC ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
